---
lang: en
title: 'API docs: metrics.metricscomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/metrics
permalink: /doc/en/lb4/apidocs.metrics.metricscomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metrics](./metrics.md) &gt; [MetricsComponent](./metrics.metricscomponent.md)

## MetricsComponent class

A component providing metrics for Prometheus

<b>Signature:</b>

```typescript
export declare class MetricsComponent implements Component 
```
<b>Implements:</b> [Component](./core.component.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(application, metricsConfig)](./metrics.metricscomponent._constructor_.md) |  | Constructs a new instance of the <code>MetricsComponent</code> class |


